import Vue from 'vue'
import { formatDistanceToNow, parseISO } from 'date-fns'

Vue.filter('publishedTimeToNow', (time) => {
  return `${formatDistanceToNow(parseISO(time))} ago`
})

Vue.filter('commentTimeToNow', (timestamp) => {
  const timeElapsed = formatDistanceToNow(timestamp, {
    includeSeconds: true
  })
  return `${timeElapsed} ago`
})
